## kdenlive-0.5-1.tar.gz

=== CMakeLists.txt ===
SUBDIRS(kdenlive renderer graphics profiles pgm icons doc po)
