=== doc/CMakeLists.txt ===
SUBDIRS(de)
