=== icons/CMakeLists.txt ===
SUBDIRS(hicolor)
