=== kdenlive/CMakeLists.txt ===
EXECUTE_PROCESS(COMMAND kde-config --prefix
OUTPUT_VARIABLE ENV{KDEDIR})
#MESSAGE(STATUS "ist:" ${TTT})
#SET (ENV{KDEDIR} /usr/kde/3.5) 

FIND_PACKAGE( KDE3 REQUIRED)

KDE3_AUTOMOC(capturemonitor.cpp configureprojectdialog.cpp)

SET ( SRC_FILES
avfilelist.cpp
aviconviewitem.cpp
avlistviewitem.cpp
clipdrag.cpp
clipmanager.cpp
clipproperties.cpp
clippropertiesdialog.cpp
capturemonitor.cpp
configureprojectdialog.cpp
createslideshowclip.cpp
displayaudiodesc.cpp
displayvideodesc.cpp
docclipavfile.cpp
docclipbase.cpp
docclipbaselist.cpp
docclipproject.cpp
docclipref.cpp
docclipreflist.cpp
doccliptextfile.cpp
docclipvirtual.cpp
docsubclip.cpp
doctrackbase.cpp
doctrackbaselist.cpp
doctrackclipiterator.cpp
doctrackdecorator.cpp
doctracksound.cpp
doctrackvideo.cpp
documentbasenode.cpp
documentclipnode.cpp
documentgroupnode.cpp
documentmacrocommands.cpp
dynamicToolTip.cpp
effectcomplexkeyframe.cpp
effect.cpp
effectdesc.cpp
effectdescriptionlist.cpp
effectdoublekeyframe.cpp
effectdrag.cpp
effectkeyframe.cpp
effectlistdialog.cpp
effectparamcomplexdesc.cpp
effectparamdesc.cpp
effectparamdescfactory.cpp
effectparamdialog.cpp
effectparamdoubledesc.cpp
effectparameter.cpp
effectstack.cpp
effectstackdialog.cpp
effectstacklistview.cpp
exportdvddialog.cpp
exportwidget.cpp
flatbutton.cpp
gentime.cpp
initeffects.cpp
kaddavfilecommand.cpp
kaddclipcommand.cpp
kaddeffectcommand.cpp
kaddmarkercommand.cpp
kaddrefclipcommand.cpp
kaddtransitioncommand.cpp
kclipplacer.cpp
kdenlive.cpp
kdenlivedoc.cpp
kdenlivesetupdlg.cpp
kdenlivesplash.cpp
keditclipcommand.cpp
keditmarkercommand.cpp
kfixedruler.cpp
kmmclipkeyframepanel.cpp
kmmeditpanel.cpp
kmmmonitor.cpp
kmmrecpanel.cpp
kmmrulerpanel.cpp
kmmscreen.cpp
kmmtimeline.cpp
kmmtrackkeyframepanel.cpp
kmmtrackpanel.cpp
kmmtracksoundpanel.cpp
kmmtrackvideopanel.cpp
kmonitor.cpp
kmoveclipscommand.cpp
kplacer.cpp
krender.cpp
krendermanager.cpp
kresizecommand.cpp
krollcommand.cpp
kruler.cpp
krulermodel.cpp
krulersliderbase.cpp
krulertimemodel.cpp
kscalableruler.cpp
kselectclipcommand.cpp
kthumb.cpp
ktimeline.cpp
ktrackpanel.cpp
ktrackplacer.cpp
ktrackview.cpp
listviewtagsearch.cpp
loadprojectfilter.cpp
loadprojectkinofilter.cpp
loadprojectnativefilter.cpp
main.cpp
monitormanager.cpp
newproject.cpp
newstuff.cpp
projectformatmanager.cpp
projecticonview.cpp
projectlist.cpp
projectlistview.cpp
rangelist.cpp
saveprojectfilter.cpp
saveprojectnativefilter.cpp
saveprojectscenelistfilter.cpp
snaptogrid.cpp
timecode.cpp
titlewidget.cpp
trackpanelclipmovefunction.cpp
trackpanelclipresizefunction.cpp
trackpanelcliprollfunction.cpp
trackpanelclipslipfunction.cpp
trackpanelfunction.cpp
trackpanelfunctionfactory.cpp
trackpanelkeyframefunction.cpp
trackpanelmarkerfunction.cpp
trackpanelrazorfunction.cpp
trackpanelselectnonefunction.cpp
trackpanelspacerfunction.cpp
trackpaneltransitionmovefunction.cpp
trackpaneltransitionresizefunction.cpp
trackviewaudiobackgrounddecorator.cpp
trackviewbackgrounddecorator.cpp
trackviewdecorator.cpp
trackviewdoublekeyframedecorator.cpp
trackviewmarkerdecorator.cpp
trackviewnamedecorator.cpp
trackviewtransitiondecorator.cpp
trackviewvideobackgrounddecorator.cpp
transition.cpp
transitiondialog.cpp
transitionpipwidget.cpp
transitionstack.cpp
transitionwipewidget.cpp
)
KDE3_ADD_UI_FILES(SRC_UI
addmarker_ui.ui
addtrackdialog_ui.ui
clipproperties_ui.ui
configcapture_ui.ui
confighard_ui.ui
configinterface_ui.ui
configmisc_ui.ui
configproject_ui.ui
configtimeline_ui.ui
configtitler_ui.ui
configureproject_ui.ui
createcolorclip_ui.ui
createimageclip_ui.ui
createslideshowclip_ui.ui
editencoder_ui.ui
editmetadata_ui.ui
effectstackdialog_ui.ui
exportbasewidget_ui.ui
exportdvd_ui.ui
firstrun_ui.ui
kmmeditpanel_ui.ui
kmmrecpanel_ui.ui
kmmrulerpanel_ui.ui
loadprogress_ui.ui
newproject_ui.ui
projectview_ui.ui
titlebasewidget_ui.ui
trackheader_ui.ui
transitionaudiofade_ui.ui
transitioncrossfade_ui.ui
transitionlumafile_ui.ui
transitionpip_ui.ui
transitionwipe_ui.ui
)
KDE3_ADD_KCFG_FILES(SRC_KCFG kdenlivesettings.kcfgc)

KDE3_ADD_MOC_FILES( SRC_MOC 

avfile.h
avfilelist.h
aviconviewitem.h
avlistviewitem.h
capturemonitor.h
clipdrag.h
clipmanager.h
clippropertiesdialog.h
clipproperties.h
configureprojectdialog.h
createslideshowclip.h
definitions.h
displayaudiodesc.h
displayvideodesc.h
docclipavfile.h
docclipbase.h
docclipbaselist.h
docclipproject.h
docclipref.h
docclipreflist.h
doccliptextfile.h
docclipvirtual.h
docsubclip.h
doctrackbase.h
doctrackbaselist.h
doctrackclipiterator.h
doctrackdecorator.h
doctracksound.h
doctrackvideo.h
documentbasenode.h
documentclipnode.h
documentgroupnode.h
documentmacrocommands.h
dynamicToolTip.h
effectcomplexkeyframe.h
effectdesc.h
effectdescriptionlist.h
effectdoublekeyframe.h
effectdrag.h
effect.h
effectkeyframe.h
effectlistdialog.h
effectparamcomplexdesc.h
effectparamdescfactory.h
effectparamdesc.h
effectparamdialog.h
effectparamdoubledesc.h
effectparameter.h
effectstackdialog.h
effectstack.h
effectstacklistview.h
exportdvddialog.h
exportwidget.h
flatbutton.h
gentime.h
initeffects.h
kaddavfilecommand.h
kaddclipcommand.h
kaddeffectcommand.h
kaddmarkercommand.h
kaddrefclipcommand.h
kaddtransitioncommand.h
kclipplacer.h
kdenlivedoc.h
kdenlive.h
kdenlivesetupdlg.h
kdenlivesplash.h
keditclipcommand.h
keditmarkercommand.h
kfixedruler.h
kmmclipkeyframepanel.h
kmmeditpanel.h
kmmmonitor.h
kmmrecpanel.h
kmmrulerpanel.h
kmmscreen.h
kmmtrackkeyframepanel.h
kmmtrackpanel.h
kmmtracksoundpanel.h
kmmtrackvideopanel.h
kmonitor.h
kmoveclipscommand.h
kplacer.h
krender.h
krendermanager.h
kresizecommand.h
krollcommand.h
kruler.h
krulermodel.h
krulersliderbase.h
krulertimemodel.h
kscalableruler.h
kselectclipcommand.h
kthumb.h
ktimeline.h
ktrackpanel.h
ktrackplacer.h
ktrackview.h
listviewtagsearch.h
loadprojectfilter.h
loadprojectkinofilter.h
loadprojectnativefilter.h
monitormanager.h
newproject.h
newstuff.h
projectformatmanager.h
projecticonview.h
projectlist.h
projectlistview.h
rangelist.h
saveprojectfilter.h
saveprojectnativefilter.h
saveprojectscenelistfilter.h
snaptogrid.h
timecode.h
titlewidget.h
trackpanelclipmovefunction.h
trackpanelclipresizefunction.h
trackpanelcliprollfunction.h
trackpanelclipslipfunction.h
trackpanelfunctionfactory.h
trackpanelfunction.h
trackpanelkeyframefunction.h
trackpanelmarkerfunction.h
trackpanelrazorfunction.h
trackpanelselectnonefunction.h
trackpanelspacerfunction.h
trackpaneltransitionmovefunction.h
trackpaneltransitionresizefunction.h
trackviewaudiobackgrounddecorator.h
trackviewbackgrounddecorator.h
trackviewdecorator.h
trackviewdoublekeyframedecorator.h
trackviewmarkerdecorator.h
trackviewnamedecorator.h
trackviewtransitiondecorator.h
trackviewvideobackgrounddecorator.h
transitiondialog.h
transition.h
transitionpipwidget.h
transitionstack.h
transitionwipewidget.h
)

ADD_DEFINITIONS ( ${QT_DEFINITIONS} -DVERSION=\\"0.5\\" -D__STDC_CONSTANT_MACROS)
INCLUDE_DIRECTORIES(. ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR} /usr/include/mlt /usr/include/mlt++ )
LINK_DIRECTORIES( ${KDE3_LIB_DIR} ) 
ADD_EXECUTABLE(kdenlive ${SRC_FILES} ${SRC_MOC} ${SRC_UI} ${SRC_KCFG} )
TARGET_LINK_LIBRARIES(kdenlive ${QT_LIBRARIES} kio kdeui mlt++ kdecore knewstuff)

INSTALL (PROGRAMS kdenlive DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )
INSTALL (FILES kdenlive.kcfg DESTINATION share/config.cfg)
INSTALL (FILES kdenliveui.rc eventsrc DESTINATION share/apps/kdenlive)
INSTALL (FILES eventsrc DESTINATION share/applications/kde)
INSTALL (FILES vnd.kde.kdenlive.desktop vnd.kde.kdenlive.scenelist.desktop DESTINATION share/mimelnk/application)

INSTALL (FILES kdenlive.desktop DESTINATION share/applnk/Multimedia)
