=== profiles/CMakeLists.txt ===
INSTALL (FILES exports.profile metadata.properties DESTINATION share/apps/kdenlive/profiles)
