=== icons/hicolor/CMakeLists.txt ===
KDE3_INSTALL_ICONS(hicolor)
SUBDIRS(32x32 22x22)
