=== icons/hicolor/22x22/CMakeLists.txt ===
SUBDIRS(actions)
