=== debian/changelog ===
kdenlive (0.3) unstable; urgency=low

  * Initial Release.

 -- one <jbm@kdemail.org>  Wed, 17 May 2006 21:04:42 +0200
